from .PyAdcLib import ADC_Generic

class FmcAdc100m14b4ch(ADC_Generic):
    BOARD_NAME = b"fmc-adc-100m14b4cha"

    ADC_CONF_100M14B4CHA_CHN_RANGE_N = 3

    ADC_CONF_100M14B4CHA_CHN_RANGE_OPEN_DRAIN = 0
    ADC_CONF_100M14B4CHA_CHN_RANGE_100mV = 0x23
    ADC_CONF_100M14B4CHA_CHN_RANGE_1V = 0x11
    ADC_CONF_100M14B4CHA_CHN_RANGE_10V = 0x45
    ADC_CONF_100M14B4CHA_CHN_RANGE_100mV_CAL = 0x42
    ADC_CONF_100M14B4CHA_CHN_RANGE_1V_CAL = 0x40
    ADC_CONF_100M14B4CHA_CHN_RANGE_10V_CAL = 0x44

    ADC_CONF_100M14B4CHA_BUF_KMALLOC = 0
    ADC_CONF_100M14B4CHA_BUF_VMALLOC = 1

    ADC_CONF_100M14B4CHA_BUF_TYPE = 0
    ADC_CONF_100M14B4CHA_TRG_SW_EN = 1
    ADC_CONF_100M14B4CHA_ACQ_MSHOT_MAX = 2
    ADC_CONF_100M14B4CHA_BUF_SIZE_KB = 3
    ADC_CONF_100M14B4CHA_TRG_ALT_EN = 4
    __ADC_CONF_100M14B4CHA_LAST_INDEX = 5

    def __init__(self, devid):
        super(FmcAdc100m14b4ch, self).__init__(devid)
